## containerd 1.6.20~ds1

=== debian/changelog ===
containerd (1.6.20~ds1-1+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Backport 0011-allow-test-run-in-userns.patch to fix FTBFS
    on builders with unshare (closes: #1070411)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 15 Jan 2025 12:18:21 +0000

containerd (1.6.20~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.20~ds1
  * Bump golang-github-containerd-ttrpc-dev to 1.1.1
  * Bump golang-github-opencontainers-image-spec-dev to 1.1.0~rc2-2

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 01 Apr 2023 01:27:11 +0800
