=== debian/changelog ===
containerd (1.6.24~ds1-1ubuntu1.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 20 Jun 2025 16:52:25 +1000

containerd (1.6.24~ds1-1ubuntu1.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 24 Oct 2024 10:13:03 +1000

containerd (1.6.24~ds1-1ubuntu1.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 12:20:19 +0530

containerd (1.6.24~ds1-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040374). Remaining changes:
    - d/control: remove the binary paragraph for containerd.
    - d/containerd.*: remove all packaging related files associated to the
      containerd binary package.
    - d/tests/{cri-integration,integration}: remove since they depend on the
      containerd binary package which is not provided by this source package
      anymore.
    - d/rules: remove execute_after_dh_auto_build target, it is changing
      content in the containerd binary package. Also avoid installing binaries
      in the library package.
    - d/golang-github-containerd-containerd-dev.install: remove this file, it
      is causing a FTBFS, no need to have it in place, the library files are
      already installed correctly without it.
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.
  * Dropped:
    - d/p/0009-Skip-test-trying-to-set-OOM-score.patch: fix FTBFS.
      [Not needed anymore]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 12 Jan 2024 19:00:15 -0300

containerd (1.6.24~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.24~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 06 Nov 2023 18:25:11 +0800

containerd (1.6.20~ds1-2) unstable; urgency=medium

  * Backport patch for Go1.21
  * Skip test adjusting oom score when initial is negative
  * Add pkg.containerd.onlydev build profile.
    To reduce delta with Ubuntu

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Aug 2023 13:48:17 +0800

containerd (1.6.20~ds1-1ubuntu2) mantic; urgency=medium

  * d/p/0009-Skip-test-trying-to-set-OOM-score.patch: fix FTBFS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Jun 2023 23:07:52 -0300

containerd (1.6.20~ds1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2022390). Make src:containerd
    follow Debian and src:containerd-app is going to ship the application with
    vendorized dependencies so we can keep updating just the application across
    all supported releases.
  * Added changes:
    - d/control: remove the binary paragraph for containerd.
    - d/containerd.*: remove all packaging related files associated to the
      containerd binary package.
    - d/tests/{cri-integration,integration}: remove since they depend on the
      containerd binary package which is not provided by this source package
      anymore.
    - d/rules: remove execute_after_dh_auto_build target, it is changing
      content in the containerd binary package. Also avoid installing binaries
      in the library package.
    - d/golang-github-containerd-containerd-dev.install: remove this file, it
      is causing a FTBFS, no need to have it in place, the library files are
      already installed correctly without it.
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Jun 2023 11:53:33 -0300
