=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: containerd
 Section: admin
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Shengjing Zhu <zhsj@debian.org>,
@@ -76,26 +77,6 @@
 XS-Go-Import-Path: github.com/containerd/containerd
 Testsuite: autopkgtest-pkg-go
 
-Package: containerd
-Architecture: linux-any
-Breaks: docker.io (<< 1.12),
-Depends: runc (>= 0.1.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Suggests: containernetworking-plugins,
-Built-Using: ${misc:Built-Using},
-Description: open and reliable container runtime
- Containerd is an industry-standard container runtime with an emphasis on
- simplicity, robustness and portability. It is available as a daemon for
- Linux and Windows, which can manage the complete container life cycle of
- its host system: image transfer and storage, container execution and
- supervision, low-level storage and network attachments, etc.
- .
- Containerd is designed to be embedded into a larger system, rather than
- being used directly by developers or end-users.
- .
- This package contains the binaries.
-
 Package: golang-github-containerd-containerd-dev
 Architecture: all
 Section: golang
