=== debian/rules ===
--- 
+++ 
@@ -27,23 +27,7 @@
 override_dh_auto_build:
 	dh_auto_build -- -ldflags '$(GO_LDFLAGS)'
 
-ifeq (,$(AUTOPKGTEST_TMP))
-execute_after_dh_auto_build:
-	mkdir -p man
-	make man/containerd-config.8
-	make man/containerd-config.toml.5
-	_build/bin/gen-manpages containerd.8 man
-	_build/bin/gen-manpages ctr.8 man
-	rm -vf _build/bin/gen-manpages
-
-	sed 's|/usr/local/bin|/usr/bin|' containerd.service > debian/containerd.service
-	mkdir -vp debian/bash-completion
-	install -m644 -T /usr/share/gocode/src/github.com/urfave/cli/autocomplete/bash_autocomplete \
-		debian/bash-completion/ctr
-	mkdir -vp debian/zsh-completion
-	sed 's|$$PROG|ctr|g' /usr/share/gocode/src/github.com/urfave/cli/autocomplete/zsh_autocomplete > \
-		debian/zsh-completion/_ctr
-endif
-
 override_dh_auto_install:
 	DH_GOLANG_EXCLUDES="$(EXCLUDES) $(EXTRA_EXCLUDES)" dh_auto_install
+	# Do not install binaries
+	rm -rf debian/golang-github-containerd-containerd-dev/usr/bin
