=== debian/tests/control ===
Tests: build-only
Depends: dh-golang,
         golang-any,
         golang-github-containerd-containerd-dev,
Restrictions: allow-stderr
