=== debian/watch ===
version=4
opts=filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3%,\
dversionmangle=s%[~+]ds\d*$%%,\
repacksuffix=~ds1 \
  https://github.com/containerd/containerd/tags .*/v?(1\.6\.\d\S*)\.tar\.gz
