## containerd 1.7.18~ds1

=== debian/changelog ===
containerd (1.7.18~ds1-6) unstable; urgency=medium

  * debian/tests/build-only: Clarify and build in separate directory
  * containerd/zfs: Adjust import path for debian
  * add missing dependencies to the -dev package
  * Ensure most pkg/cri don't end up in the binary package
  * Add Breaks:
    - golang-github-containerd-imgcrypt-dev (<< 1.1.11-4)
    - golang-github-docker-docker-dev (<< 26.1)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 04 Aug 2024 11:09:55 -0400

containerd (1.7.18~ds1-5) unstable; urgency=medium

  * install aufs, zfs as if it came from this package to work around cyclic dependencies
    (Closes: #1077319)
  * remove the 'build-only' autopkgtest

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Aug 2024 10:22:27 -0400

containerd (1.7.18~ds1-4) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 02:50:31 +0000

containerd (1.7.18~ds1-3) experimental; urgency=medium

  * Depend on golang-opentelemetry-contrib-dev to fix FTBFS in dependent
    packages

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Jul 2024 19:19:57 -0400

containerd (1.7.18~ds1-2) experimental; urgency=medium

  * Add forgotten bug closure in previous upload
  * 0011-allow-test-run-in-userns.patch: expand to another unit test

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 20:00:55 -0400

containerd (1.7.18~ds1-1) experimental; urgency=medium

  * New upstream release, Closes: #1073550
    - Update / tighten dependencies, drop previously vendored libraries:
      - containerd/errdefs
      - containerd/imgcrypt
      - containerd/log
      - containerd/nri
      - k8s.io/cri-api
  * Avoid building contrib/fuzzer
  * Allow building against go-runc 1.1.0

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 15:25:00 -0400

containerd (1.6.24~ds1-3) experimental; urgency=medium

  * Build against ttrpc in experimental

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Jun 2024 08:25:41 -0400

containerd (1.6.24~ds1-2) unstable; urgency=medium

  * Refresh patches
  * Fix FTBFS when running test if running with unshare, Closes: #1070411
  * Remove leftover manpages in clean, Closes: #1044768
  * Rebuild to move systemd units into /usr, Closes: #1072079
  * Add myself as uploader.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Jun 2024 06:08:53 -0400
