=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: containerd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Shengjing Zhu <zhsj@debian.org>,
+           Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                go-md2man,
                golang-any,
                golang-github-blang-semver-dev,
-               golang-github-containerd-btrfs-dev (>= 0.0~git20200117.1539353~),
-               golang-github-containerd-cgroups-dev (>= 0.0~git20200817.7a3c009~),
+               golang-github-containerd-btrfs-dev (>= 2),
+               golang-github-containerd-cgroups-dev (>= 3),
                golang-github-containerd-console-dev,
                golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
+               golang-github-containerd-errdefs-dev,
                golang-github-containerd-fifo-dev (>= 1.0.0~),
-               golang-github-containerd-go-cni-dev (>= 1.0.2~),
-               golang-github-containerd-go-runc-dev (>= 0.0~git20190226.7d11b49~),
-               golang-github-containerd-ttrpc-dev (>= 1.1.1~),
-               golang-github-containerd-typeurl-dev,
+               golang-github-containerd-go-cni-dev (>= 1.1.9),
+               golang-github-containerd-go-runc-dev (>= 1.1.0),
+               golang-github-containerd-imgcrypt-dev,
+               golang-github-containerd-log-dev,
+               golang-github-containerd-nri-dev,
+               golang-github-containerd-ttrpc-dev (>= 1.2),
+               golang-github-containerd-typeurl-dev (>= 2),
                golang-github-containernetworking-plugins-dev,
                golang-github-containers-ocicrypt-dev,
                golang-github-coreos-bbolt-dev,
@@ -29,7 +33,9 @@
                golang-github-docker-go-metrics-dev,
                golang-github-docker-go-units-dev,
                golang-github-emicklei-go-restful-dev,
+               golang-github-felixge-httpsnoop-dev,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-go-jose-go-jose.v3-dev,
                golang-github-go-logr-logr-dev,
                golang-github-gogo-googleapis-dev (>= 1.4.0~),
                golang-github-gogo-protobuf-dev (>= 1.3.0~),
@@ -42,6 +48,9 @@
                golang-github-imdario-mergo-dev,
                golang-github-intel-goresctrl-dev,
                golang-github-klauspost-compress-dev,
+               golang-github-klauspost-cpuid-dev,
+               golang-github-kubernetes-cri-api-dev (>> 0.27),
+               golang-github-minio-sha256-simd-dev,
                golang-github-moby-locker-dev,
                golang-github-moby-spdystream-dev,
                golang-github-moby-sys-dev (>= 0.0~git20220215.b8d8fab~),
@@ -49,6 +58,7 @@
                golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc2-2~),
                golang-github-opencontainers-runc-dev (>= 0.1.0~),
                golang-github-opencontainers-runtime-spec-dev,
+               golang-github-opencontainers-runtime-tools-dev,
                golang-github-opencontainers-selinux-dev,
                golang-github-pelletier-go-toml-dev,
                golang-github-pkg-errors-dev,
@@ -59,6 +69,7 @@
                golang-github-urfave-cli-dev (>= 1.22.2-4~),
                golang-github-vishvananda-netlink-dev,
                golang-go-zfs-dev,
+               golang-golang-x-mod-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
@@ -66,9 +77,11 @@
                golang-google-grpc-dev (>= 1.30),
                golang-gopkg-inf.v0-dev,
                golang-k8s-klog-dev (>= 2.30.0~),
+               golang-k8s-sigs-json-dev,
                golang-k8s-sigs-structured-merge-diff-dev,
                golang-k8s-sigs-yaml-dev,
-               golang-opentelemetry-otel-dev,
+               golang-opentelemetry-contrib-dev,
+               golang-opentelemetry-otel-dev (>> 1.19)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://containerd.io/
@@ -77,18 +90,43 @@
 XS-Go-Import-Path: github.com/containerd/containerd
 Testsuite: autopkgtest-pkg-go
 
+Package: containerd
+Build-Profiles: <!pkg.containerd.onlydev>
+Architecture: linux-any
+Breaks: docker.io (<< 1.12)
+Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
+Suggests: containernetworking-plugins
+Built-Using: ${misc:Built-Using}
+Description: open and reliable container runtime
+ Containerd is an industry-standard container runtime with an emphasis on
+ simplicity, robustness and portability. It is available as a daemon for
+ Linux and Windows, which can manage the complete container life cycle of
+ its host system: image transfer and storage, container execution and
+ supervision, low-level storage and network attachments, etc.
+ .
+ Containerd is designed to be embedded into a larger system, rather than
+ being used directly by developers or end-users.
+ .
+ This package contains the binaries.
+
 Package: golang-github-containerd-containerd-dev
 Architecture: all
 Section: golang
-Depends: golang-github-containerd-btrfs-dev (>= 0.0~git20200117.1539353~),
-         golang-github-containerd-cgroups-dev (>= 0.0~git20200817.7a3c009~),
+Breaks: golang-github-containerd-imgcrypt-dev (<< 1.1.11-4),
+        golang-github-docker-docker-dev (<< 26.1)
+Depends: golang-github-containerd-btrfs-dev (>= 2),
+         golang-github-containerd-cgroups-dev (>= 3),
          golang-github-containerd-console-dev,
          golang-github-containerd-continuity-dev (>= 0.0~git20190827.75bee3e~),
+         golang-github-containerd-errdefs-dev,
          golang-github-containerd-fifo-dev (>= 1.0.0~),
-         golang-github-containerd-go-cni-dev (>= 1.0.2~),
-         golang-github-containerd-go-runc-dev (>= 0.0~git20190226.7d11b49~),
-         golang-github-containerd-ttrpc-dev (>= 1.1.1~),
-         golang-github-containerd-typeurl-dev,
+         golang-github-containerd-go-cni-dev (>= 1.1.9),
+         golang-github-containerd-go-runc-dev (>= 1.1.0),
+         golang-github-containerd-imgcrypt-dev,
+         golang-github-containerd-log-dev,
+         golang-github-containerd-nri-dev,
+         golang-github-containerd-ttrpc-dev (>= 1.2),
+         golang-github-containerd-typeurl-dev (>= 2),
          golang-github-containernetworking-plugins-dev,
          golang-github-coreos-bbolt-dev,
          golang-github-docker-go-events-dev,
@@ -103,6 +141,8 @@
          golang-github-imdario-mergo-dev,
          golang-github-intel-goresctrl-dev,
          golang-github-klauspost-compress-dev,
+         golang-github-kubernetes-cri-api-dev (>> 0.27),
+         golang-github-minio-sha256-simd-dev,
          golang-github-moby-locker-dev,
          golang-github-moby-sys-dev (>= 0.0~git20220215.b8d8fab~),
          golang-github-opencontainers-go-digest-dev (>= 1.0.0~),
@@ -113,13 +153,16 @@
          golang-github-pelletier-go-toml-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-sirupsen-logrus-dev,
+         golang-github-tchap-go-patricia-dev,
          golang-github-urfave-cli-dev (>= 1.22.2~),
+         golang-go-zfs-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sync-dev,
          golang-golang-x-sys-dev,
          golang-google-grpc-dev (>= 1.30),
-         golang-opentelemetry-otel-dev,
-         ${misc:Depends},
+         golang-opentelemetry-contrib-dev,
+         golang-opentelemetry-otel-dev (>> 1.19),
+         ${misc:Depends}
 Description: open and reliable container runtime (development files)
  Containerd is an industry-standard container runtime with an emphasis on
  simplicity, robustness and portability. It is available as a daemon for
