=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

PKG        := github.com/containerd/containerd
GO_LDFLAGS += -X $(PKG)/version.Version=$(DEB_VERSION_UPSTREAM)
GO_LDFLAGS += -X $(PKG)/version.Revision=$(DEB_VERSION)

EXCLUDES += cmd/protoc-gen-gogoctrd cmd/containerd-stress
EXCLUDES += runtime/v2/example/cmd
EXCLUDES += integration
EXCLUDES += contrib/fuzz

# pkg/cri has k8s dependencies, not all of which are in Debian yet
EXCLUDES += pkg/cri

# Exclude extra files in -dev package to make it slimmer.
EXTRA_EXCLUDES += vendor
EXTRA_EXCLUDES += $(wildcard cmd/*/*.go)

export DH_GOLANG_EXCLUDES := $(EXCLUDES)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_build:
	dh_auto_build -- -ldflags '$(GO_LDFLAGS)'

execute_before_dh_auto_build:
	# delete sources we don't want to have included in the resulting binary packages
	rm -rfv _build/src/github.com/containerd/containerd/pkg/cri/*
	rm -fv _build/src/github.com/containerd/containerd/cmd/containerd/builtins/cri.go

ifeq (,$(AUTOPKGTEST_TMP))
execute_after_dh_auto_build:
	mkdir -p man
	make man/containerd-config.8
	make man/containerd-config.toml.5
	_build/bin/gen-manpages containerd.8 man
	_build/bin/gen-manpages ctr.8 man
	rm -vf _build/bin/gen-manpages

	sed 's|/usr/local/bin|/usr/bin|' containerd.service > debian/containerd.service
	mkdir -vp debian/bash-completion
	install -m644 -T /usr/share/gocode/src/github.com/urfave/cli/autocomplete/bash_autocomplete \
		debian/bash-completion/ctr
	mkdir -vp debian/zsh-completion
	sed 's|$$PROG|ctr|g' /usr/share/gocode/src/github.com/urfave/cli/autocomplete/zsh_autocomplete > \
		debian/zsh-completion/_ctr
execute_after_dh_clean:
	rm -rvf man/containerd-config.8 man/containerd-config.toml.5 containerd.8 man ctr.8 man
endif

override_dh_auto_install:
	DH_GOLANG_EXCLUDES="$(EXCLUDES) $(EXTRA_EXCLUDES)" dh_auto_install

# install aufs, zfs as if it came from this package to work around cyclic dependencies
execute_after_dh_auto_install:
	cp -vrf vendor/github.com/containerd/zfs vendor/github.com/containerd/aufs \
	  debian/tmp/usr/share/gocode/src/github.com/containerd/
