=== debian/tests/control ===
# This test is currenty known to fail in containers for a number of reasons:
# - for missing binary "runc-fp" (??)
# - permission errors when trying to start containers
# - failing to mount procfs
# - failing to load cni configs
Tests: integration
Depends: ca-certificates, containerd, lsof, @builddeps@
Restrictions: allow-stderr, needs-root, needs-internet, isolation-machine, flaky
# Integration test uses k8s.gcr.io/pause:3.5 image
# See the supported architectures for this image:
# $ curl https://k8s.gcr.io/v2/pause/manifests/3.2
Architecture: amd64, arm64, armel, armhf, ppc64el, s390x

# This test is currenty known to fail in containers for a number of reasons:
# - permission errors when trying manipulate network interfaces
Tests: cri-integration
Depends: ca-certificates,
         containerd,
         containernetworking-plugins,
         procps,
         @builddeps@
Restrictions: allow-stderr, needs-root, needs-internet, isolation-machine, flaky
Architecture: amd64, arm64, ppc64el

Tests: build-only
Depends: dh-golang, golang-any, golang-github-containerd-containerd-dev
Restrictions: allow-stderr
